Use Case 1: Sprawdzenie stanu konta
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Klient: Chce sprawdzić stan konta  
 - System autoryzacji: Chce otrzymać dane użytkownika w poprawnym formacie aby dokonać autoryzacji  
 - Bank: Chce otrzymać zapytanie o saldo użytkownika  
 

Warunki wstępne:
----------------
 - Bankomat ma połączenie z internetem.  
 - Klawisze i ekran dotykowy jest sprawny.  
 - Bank/Bankomat nie prowadzi teraz przerwy technicznej.  

Warunki końcowe:
----------------
- Klient otrzymuje informacje o stanie konta.  
- Klient otrzymuje swoja kartę.  

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

 1. Klient wkłada kartę do bankomatu.  
 2. System prosi o podanie pinu.  
 3. Klient wprowadza pin
 4. System autoryzacji weryfikuje wprowadzony pin na podstawie konta klienta.  
 5. Klient wybiera operację - "sprawdź saldo".  
 6. System pyta się o wydruk potwierdzenia
 7. Klient wybiera opcję wydrukuj potwierdzenie Tak/Nie.  
 8. Klient czyta saldo.  
 9. System wyświetla zapytanie o chęci wykonania kolejnej operacji
 10. Klient wybiera czy chce zakończyć czy kontynuować
 11. Klient wybiera opcję zakończ  
 12. Klient odbiera kartę z bankomatu.  
 13. Klient odbiera potwierdzenie.  

Rozszerzenia (ścieżki alternatywne):
------------------------------------
 *a. Zacięcie systemu.  
 
1. Jeśli użytkownik wprowadził kartę, bankomat oddaje kartę
2. Jeśli użytkownik był zautoryzowany, następuje deautoryzacja.
3. System zapisuje informacje o błędzie.
4. System się restartuje.  


     5a. Restart przebiegł pomyślnie.  
       1. Krok pierwszy scenariusza głównego.  
     5b. Restart nie przebiegł pomyślnie.  
        1. System powiadamia serwisanta.  
        2. System wyłącza bankomat.  
        3. System wyświetla komunikat o awarii banomatu.  


 1a. Bankomat nie rozpoznaje karty.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System sygnalizuje błąd i odrzuca wprowadzenie pinu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System zapisuje informacje o błędzie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. System wyświetla na ekranie informacje o błędzie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4. Bankomat zwraca kartę klientowi.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5. Powrót do kroku 1 ze scenariusza głównego.  

 1b. Karta zacięła się w bankomacie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System wyświetla na ekranie informacje o błędzie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System trzykrotnie próbuje wydać kartę.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3a. Bankomat wydał kartę.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System zapisuje informacje o zaistniałym błędzie i wysyła informację do serwisu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. Powrót do pkt 1. scenariusza głównego.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3b. Bankomat nie wydał karty.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System zapisuje informacje o błędzie i wysyła informację do serwisu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System się restartuje.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. Bankomat próbuje zwrócić kartę użytkownikowi.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4a. Bankomat wydał kartę.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. Powrót do kroku 1 ze scenariusza głównego.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4b. Bankomat nie wydał karty.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System zapisuje informacje o zaistniałym błędzie i wysyła informację do serwisu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System wyświetla informację o awarii systemu i wyświetla na ekranie numer telefonu do serwisu.  
 1c. Bankomat nie wspiera karty od tego dostawcy.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System sygnalizuje błąd i odrzuca wprowadzenie pinu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System zapisuje informacje o błędzie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. System wyświetla na ekranie informacje o błędzie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;4. Bankomat zwraca kartę klientowi.  
 
 4a. Wprowadzony pin jest niepoprawny.  
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.System wyświetla na ekranie informacje o błęnym pinie.  
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System wyświetla informacje o kolejnych 2 możliwych próbach wprowadzenia pinu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3a. Klient wprowadza poprawny pin.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. Powrót do punktu 5 scenariusza głównego.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3b. Klient wprowadza niepoprawny pin.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. System wyświetla informację o wykorzsytaniu wszystkich prób i blokadzie konta.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System informuje bank o blokadzie konta.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. System wydaje kartę użytkownikowi.  

 12a. Klient nie odebrał karty z bankomatu.  
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.System wydaje sygnały dźwiękowe.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System czeka 30 sekudnd na odebranie karty z bankomatu.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3a. Klient odbiera kartę.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. Powrót do punktu 13. scenariusza głównego.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3b. Klient nie odbiera karty.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1. Bankomat wciąga kartę.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;2. System zapisuje informacje o pozostawionej karcie.  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;3. System wysyła informację do banku o pozostawionej karcie.  


Wymagania specjalne:
--------------------

 - Interfejs użytkownika musi być dostępny w języku polskim, niemieckim, angielskim, hiszpańskim i rosyjskim.  

 - Niezbędny ekran dotykowy, tekst musi być widoczny z odległości 1m.  
 
 - Niezbędna klawiatura do wprowadzania danych.  
 
 - Autoryzacja użytkownika musi trwać maksymalnie 60 sekund.  


Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 1a. Karta rozpoznawana jest przez czytnik kart.  
 
 3a. Pin składa się od 4 do 8 cyfr.  

Kwestie otwarte:
----------------

 - Czy dopuszczamy użytek kart zagranicznych ?  

 - Czy dopuszczamy tryb nocny i dzienny interfejsu użytkownika ?  

 


