Opis skrócony przypadków użycia
===============================

Aktorzy procesu i ich cele
--------------------------

Aktor       | Cel
------------|------------------------------
Klient      | Wpłata
Klient      | Wypłata
Klinet      | Sprawdzenie stanu konta
Klient      | Doładowanie karty prepaidowej
Klient      | Przelew bankomatowy
Serwisant   | Wymiana dysku z monitoringiem
Serwisant   | Cokwartalny przegląd urządzenia
Zaopatrzeniowiec | Zaopatrzenie bankomatu w gotówkę
Zaopatrzeniowiec | Usunięcie nadmiaru gotówki z bankomatu




Słownik
-------

Hasło      |Opis
-----------|-----------------------------
Karta prepaidowa     | Kod doładowania do karty prepaidowej - karty opłaconej z góry


Przypadki użycia
----------------

### Use case 1: Wypłata gotówki
1.Klient wkłada kartę do czytnika kart w bankomacie.  
2.Bankomat wyświetla prośbę o wprowadzane numeru PIN.  
3.Klient wprowadza PIN.  
4.Bankomat weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Bankomat wyświetla możliwe do przeprowadzenia operacje.  
6.Klient wybiera opcję wypłaty.  
7.Bankomat wyświetla proponowane kwoty wypłaty.  
8.Klient wybiera kwotę.  
9.Bankomat pyta o potwierdzenie.  
10.Klient potwierdza operację i decyduje czy ma ono zostać wydrukowane.  
11.Bankomat wydaje kartę.   
12.Klient odbiera kartę z czytnika.  
13.Bankomat wydaje żądaną ilość pieniędzy.  
14.Klient odbiera wypłacone pieniądze z bankomatu.  
15.Saldo klienta zostaje pomniejszone o wypłacona sumę pieniędzy.  
16.Bankomat drukuje potwierdzenie dokonanej wypłaty gotówki.    

### Use case 2: Wpłata gotówki
1.Klient wkłada kartę do bakomatu.  
2.System wyświetla prośbę o wprowadzenie numeru PIN.   
3.Klient wprowadza PIN.  
4.System weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.System prosi o wybranie opcji operacji.  
6.Klient wybiera opcję wpłaty.  
7.System prosi o włożenie banknotów.  
8.Klient wkłada banknoty.  
9.Bankomat przelicza włożone banknoty.   
10.Bankmoat wyświetla sumę włożonych banknotów.  
11.Bankomat pyta o potwierdzenie.  
12.Klient potwierdza operację wpłaty.  
13.Bankomat wydaje kartę.  
14.Klient odbiera kartę.  
15.Bankomat zasila konto powiązane z kartą.  
16.Bankomat drukuje potwierdznie.  

### Use case 3: Sprawdzenie stanu konta
1.Klient wkłada kartę do bankomatu.  
2.System prosi o podanie pinu.  
3.Klient wprowadza pin.  
4.System autoryzacji weryfikuje wprowadzony pin na podstawie konta klienta.  
5.Klient wybiera operację - "sprawdź saldo".  
6.System pyta się o wydruk .  
7.Klient wybiera opcję wydrukuj potwierdzenie Tak/Nie.  
8.Klient czyta saldo.  
9.System wyświetla zapytanie o chęci wykonania kolejnej operacji.  
10 Klient wybiera czy chce zakończyć czy kontynuować.  
11.Klient wybiera opcję zakończ  
12.Klient odbiera kartę z bankomatu.  
13.Klient odbiera potwierdzenie. 

### Use case 4: Doładowanie karty prepaidowej
1.Klient wkłada kartę do bakomatu.  
2.Bankomat prosi o wrowadzenie numeru PIN.  
3.Klient wprowadza PIN.  
4.Bankomat weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Bankomat prosi o wybranie wyświetlonych opcji.  
6.Klient wybiera opcję “zakup kodu prepaid”.  
7.Bankomat prosi o wybranie kwoty.  
8.Klient wybiera kwotę.  
9.Bankomat pyta czy wydrukować potwierdzenie.  
10.Klient zgadza się na wydruk potwierdzenia.  
11.Bankomat wydaje kartę.  
12.Bankomat drukuje paragon z kodem doładowania.  
13.Bankomat drukuje potwierdznie.  

### Use case 5: Przelew bankomatowy
1.Klient wkłada kartę do bakomatu.  
2.Bankomat prosi o wrowadzenie numeru PIN.  
3.Klient wprowadza PIN.  
4.Bankomat weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Bankomat prosi o wybranie wyświetlonych opcji.  
6.Klient wybiera opcję “przelew bankomatowy”.  
7.Bankomat prosi o wybranie kwoty.  
8.Klient wybiera kwotę.  
9.Bankomat prosi o podaniu numeru konta, na który ma być wykonany przelew.  
10.Klient podaje numer konta.  
11.Bankomat pyta czy wydrukować potwierdzenie.  
12.Klient potwierdza operację przelewu.  
13.Bankomat wydaje kartę.  
14.Klient odbiera kartę.  
15.Bankomat obciąża konto, powiązane z kartą, podaną kwotą.  
16.Bankomat zasila konto o podanym przez klienta numerze.  
17.Bankomat drukuje potwierdznie.  

### Use case 6: Wymiana dysku z monitoringiem
1.Serwisant wkłada kartę serwisową do bankomatu.  
2.System prosi o podanie numeru PIN.  
3.Serwisant wprowadza swój PIN.  
4.System weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Serwisant otwiera drzwiczki od bankomatu.  
6.Serwisant wyjmuje dysk z monitoringiem.  
7.Serwisant wkłada nowy dysk do monitoringu.  
8.Bankomat wykonuje analizę nowo podłączonego dysku.  
9.Serwisant zamyka drzwiczki.  
10.Bankomat oddaje kartę.  
11.Serwisant odbiera kartę.  
12.Bankomat drukuje potwierdzenie wymiany dysku.  
13.Serwisant odbiera potwierdzenie.  

### Use case 7: Cokwartalny przegląd urządzenia
1.Serwisant wkłada kartę serwisową do bankomatu.  
2.System prosi o podanie numeru PIN.  
3.Serwisant wprowadza swój PIN.  
4.System weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Serwisant sprawdza stan techniczny pinpadu.  
6.Serwisant sprawdza stan techniczny czytnika do kart.  
7.Serwisant sprawdza czy ekran dotykowy jest sprawny.  
8.Serwisant wkłada USB z testami i wykonuje testy.  
9.Bankomat oddaje kartę.  
10.Serwisant odbiera kartę.  
11.Bankomat drukuje potwierdzenie wykonania serwisu.  
12.Serwisant odbiera potwierdzenie.  

### Use case 8: Zaopatrzenie bankomatu w gotówkę
1.Zaopatrzeniowiec wkłada kartę serwisową do bankomatu.  
2.System prosi o podanie numeru PIN.   
3.Zaopatrzeniowiec wprowadza swój PIN.  
4.System weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Zaopatrzeniowiec otwiera drzwiczki od bankomatu.  
6.Zaopatrzeniowiec wkłada nowe pieniądze.  
7.Zaopatrzeniowiec zamyka drzwiczki.  
8.Bankomat oddaje kartę.  
9.Zaopatrzeniowiec odbiera kartę.  
10.Bankomat drukuje potwierdzenie wykonania serwisu.  
11.Zaopatrzeniowiec odbiera potwierdzenie.  


### Use case 9: Usunięcie nadmiaru gotówki z bankomatu
1.Zaopatrzeniowiec wkłada kartę serwisową do bankomatu.  
2.System prosi o podanie numeru PIN.  
3.Zaopatrzeniowiec wprowadza swój PIN.  
4.System weryfikuje PIN na podstawie konta użytkownika powiązanego z kartą.  
5.Zaopatrzeniowiec otwiera drzwiczki od bankomatu.  
6.Zaopatrzeniowiec wyjmuje nadmiar pieniądzy.  
7.Zaopatrzeniowiec zamyka drzwiczki.  
8.Bankomat oddaje kartę.  
9.Zaopatrzeniowiec odbiera kartę.  
10.Bankomat drukuje potwierdzenie wykonania serwisu.  
11.Zaopatrzeniowiec odbiera potwierdzenie.  
